Implementations/WebKit

From WebGL Public Wiki
Revision as of 00:12, 23 July 2022 by Kbr google (talk | contribs) (Revised information to describe WebGL 2 support in Safari 15)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigation Jump to search

Availability

WebGL 1.0 and 2.0 are supported on all modern macOS hardware as of Safari 15. See Getting a WebGL Implementation for more information.

Historical information:

  • Runs on Mac with Leopard, Snow Leopard, or Lion
  1. Install Safari 5.1 from http://apple.com/safari (comes already installed on Lion)
  2. Open Preferences, click on Advanced tab and check Show Develop menu in menu bar
  3. In menu bar make sure Develop->Enable WebGL is checked

Status

  • Context name: webgl or webgl2

Reporting Bugs

Use WebKit bugzilla to file a bug.